<?php
// app/Http/Controllers/ArticleController.php

namespace App\Http\Controllers\All;
use App\Models\Article_refs;
use App\Models\Article;
use App\Models\Contents;

use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;

class ArticleController extends Controller
{
    public function index(Request $request)
    {   
        $where = [];
        if ($request->has('content') && $request->content != "") {
            $where[] = ['content_id', $request->content];
        }
    
        $pages = Article::where($where)->paginate(50);
        $contents = Contents::where([])->paginate(50);
        return view('user.articles.index', compact('pages', 'contents', 'request'));
    }

    public function create()
    {
        $allContents = Contents::all();
        return view('user.articles.create', compact('allContents'));
    }

    public function store(Request $request)
    {
        //dd($_REQUEST);
        $request->validate([
            'content' => 'required|string',
            'title' => 'required|string',
            'descriptions' => 'required|string',
        ]);

       
        Article::create([
            'content_id' => $request->content,
            'title' => $request->title,
            'descriptions' => $request->descriptions,
        ]);

        return redirect()->route('user.article.index')->with('success', 'Article added successfully');
    }

    public function edit($id)
    {
        $page = Article::findOrFail($id);
        $allContents = Contents::all();
        return view('user.articles.edit', compact('page','allContents'));
    }
    

    public function update(Request $request, $id)
    {
        $request->validate([
            'content' => 'required|string',
            'title' => 'required|string',
            'descriptions' => 'required|string',
        ]);
    
        $page = Article::findOrFail($id);
    
        $Article = Article::updateOrCreate(
            ['id' => $page->id],
            [
                'content' =>$request->content,
                'title' =>$request->title,
                'descriptions' =>$request->descriptions,
            ]
        );
        
        return redirect()->route('user.article.index')->with('success', 'Article updated successfully');
    }

    public function destroy($id)
    {
        Article_refs::where('article_id', $id)->delete();
        
        // Find the MCQ category by ID
        $page = Article::findOrFail($id);
    
        // Delete the MCQ category
        $page->delete();
    
        // Redirect back with a success message
        return redirect()->route('user.article.index')->with('success', 'Article deleted successfully');
    }

    public function allArticles(Request $request)
    {
        $arr = [];
        $videos = Article::where()->get([
            'title'
        ]);
        
        foreach($videos as $video){
            array_push($arr, array(
                'title' => $video->title, 
            ));  
        }
        
        return response()->json(array('status' => 'success','message' => 'Data found', 'result' => $arr));
    }
}
