<?php
// app/Http/Controllers/ContentsController.php

namespace App\Http\Controllers\All;

use App\Models\Contents;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;

class ContentsController extends Controller
{
    public function index()
    {
        $pages = Contents::where([])->paginate(50);
        return view('user.contents.index', compact('pages'));
    }

    public function create()
    {
        return view('user.contents.create');
    }

    public function store(Request $request)
    {
        //dd($_REQUEST);
        $request->validate([
            'title' => 'required|string',
        ]);

       
        Contents::create([
            'title' => $request->title,
        ]);

        return redirect()->route('user.contents.index')->with('success', 'Contents added successfully');
    }

    public function edit($id)
    {
        $page = Contents::findOrFail($id);
        return view('user.contents.edit', compact('page'));
    }
    

    public function update(Request $request, $id)
    {
        $request->validate([
            'title' => 'required|string',
        ]);
    
        $page = Contents::findOrFail($id);
    
        $Contents = Contents::updateOrCreate(
            ['id' => $page->id],
            [
                'title' =>$request->title,
            ]
        );
        
        return redirect()->route('user.contents.index')->with('success', 'Contents updated successfully');
    }

    public function destroy($id)
    {
        // Find the MCQ category by ID
        $page = Contents::findOrFail($id);
    
        // Delete the MCQ category
        $page->delete();
    
        // Redirect back with a success message
        return redirect()->route('user.contents.index')->with('success', 'Contents deleted successfully');
    }

    public function allContentss(Request $request)
    {
        $arr = [];
        $videos = Contents::where()->get([
            'title'
        ]);
        
        foreach($videos as $video){
            array_push($arr, array(
                'title' => $video->title, 
            ));  
        }
        
        return response()->json(array('status' => 'success','message' => 'Data found', 'result' => $arr));
    }
}
