<?php
// app/Http/Controllers/ReferenceController.php

namespace App\Http\Controllers\All;

use App\Models\Article;
use App\Models\Contents;
use App\Models\Article_refs;


use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;

class ReferenceController extends Controller
{
    public function index(Request $request)
    {
        $pages = Article_refs::where(["article_id" => $request->id])->paginate(50);
        return view('user.reference.index', compact('pages'));
    }

    public function create()
    {
        $allContents = Contents::all();
        return view('user.reference.create', compact('allContents'));
    }

    public function store(Request $request)
    {
        //dd($_REQUEST);
        $request->validate([
            'type' => 'required|string',
            'title' => 'required|string',
        ]);

        $imagePath = "";
        if ($request->hasFile('file')) {
            // Handle file upload
            $originalName = $request->file('file')->getClientOriginalName();
            $uniqueFileName = Str::uuid() . '_' . $originalName;
            $imagePath = $request->file('file')->move(public_path('reference'), $uniqueFileName);
            $imagePath = explode("/home/girmfpqs/karthaat.com/flipbook/public/", $imagePath)[1];
        } 
        // else {
        //     // Keep the existing image path if no new image is uploaded
        //     $imagePath = $teams->translations->first()->image_path;
        // }

        $content = "";

        if($request->type == "LINK" || $request->type == "VIDEO"   ){
            $content = $request->link;
        }
        if( $request->type == "DESCRIPTION"){
            $content = $request->descriptions;
        }

        Article_refs::create([
            'article_id' => $request->article_id,
            'title' => $request->title,
            'type' => $request->type,
            'content' => $content,
            'file' => $imagePath,
        ]);

        return redirect()->route('user.reference.index', ['id'=>  $request->article_id])->with('success', 'Article_refs added successfully');
    }

    public function edit($id)
    {
        $page = Article_refs::findOrFail($id);
        $allContents = Contents::all();
        return view('user.reference.edit', compact('page','allContents'));
    }
    

    public function update(Request $request, $id)
    {
        $request->validate([
            'type' => 'required|string',
            'title' => 'required|string',
        ]);

        $page = Article_refs::findOrFail($id);

        $imagePath = "";
        if ($request->hasFile('file')) {
            // Handle file upload
            $originalName = $request->file('file')->getClientOriginalName();
            $uniqueFileName = Str::uuid() . '_' . $originalName;
            $imagePath = $request->file('file')->move(public_path('reference'), $uniqueFileName);
            $imagePath = explode("/home/udyasslp/karthaat.com/flipbook/public/", $imagePath)[1];
        } 
        else {
            // Keep the existing image path if no new image is uploaded
            $imagePath = $page->file;
        }

        $content = "";

        if($request->type == "LINK" || $request->type == "VIDEO"   ){
            $content = $request->link;
        }
        if( $request->type == "DESCRIPTION"){
            $content = $request->descriptions;
        }
        
        
        $Article_refs = Article_refs::updateOrCreate(
            ['id' => $page->id],
            [
                'title' => $request->title,
                'type' => $request->type,
                'content' => $content,
                'file' => $imagePath,
            ]
        );
        
        return redirect()->route('user.reference.index', ['id'=>  $page->article_id])->with('success', 'Article_refs updated successfully');
    }

    public function destroy($id)
    {
        // Find the MCQ category by ID
        $page = Article_refs::findOrFail($id);
        $article_id = $page->article_id;
        // Delete the MCQ category
        $page->delete();
    
        // Redirect back with a success message
        return redirect()->route('user.reference.index', ['id'=>  $article_id])->with('success', 'Article_refs deleted successfully');
    }

    public function allArticle_refss(Request $request)
    {
        $arr = [];
        $videos = Article_refs::where()->get([
            'title'
        ]);
        
        foreach($videos as $video){
            array_push($arr, array(
                'title' => $video->title, 
            ));  
        }
        
        return response()->json(array('status' => 'success','message' => 'Data found', 'result' => $arr));
    }
}
