<?php
namespace App\Http\Controllers;
use App\Models\Contents;
use App\Models\Article;
use App\Models\Article_refs;
use App\Models\Page;
use App\Models\Cms;
use Illuminate\Support\Str;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $contents = Contents::where([])->paginate(50);

        $articleData = array();
        $pages = Contents::where([])->paginate(50);

        foreach($contents as $row){
            $article = Article::where(array('content_id' => $row->id))->get();
            array_push($articleData,array('article' => $article, 'contents' =>  $row->title ));
        }
         
        $cms = Cms::all()->first();
        $pages = Page::all();
        return view('main', compact('contents', 'articleData','cms', 'pages'));
    }


    public function page($id)
    {
        $cms = Cms::all()->first();
        $pages = Page::all();
        $id = Str::afterLast($id, '-');
        $spage = Page::where('id', $id)->first();
        return view('aboutus', compact('pages','cms', 'spage'));
    }

    public function api(Request $request)
    {
        $ids = explode(',', $request->id);
        $articles = Article_refs::whereIn('article_id', $ids)->get();
        echo json_encode(array("status" => "success", "result" => $articles));
    }
}
