@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">CMS</h3>
            </div>
        </div>
         
        
        <div class="row">
            <div class="  col-md-1"></div>
            <div class="  col-md-10">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">
                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('error'))
                            <div class="alert alert-danger" role="alert">
                            @if ($errors->any())
                                @foreach ($errors->all() as $error)
                                    <div>{{$error}}</div>
                                @endforeach
                            @endif
                            </div>
                        @endif

                        <form method="post" action="{{ route('user.cms.update', $page->id) }}"  >
                            @csrf
                            @method('PUT') {{-- Use the PUT method for updating --}}

 
                                <div class="form-group mt-2">
                                    <label for="seo_title">{{ __('SEO Title') }}</label>
                                    <input type="text" class="form-control @error('seo_title') is-invalid @enderror" id="seo_title" name="seo_title" value="{{ old('seo_title', @$page->seo_title) }}" required>
                                   
                                </div>

                                <div class="form-group mt-2">
                                    <label for="seo_desc">{{ __('SEO descriptions') }}</label>
                                    <textarea type="text" class="seo_desc form-control @error('seo_desc') is-invalid @enderror" id="seo_desc" name="seo_desc">{{ old('seo_desc', @$page->seo_desc) }}</textarea>
                                    
                                </div>

                                <hr/>

                                <div class="form-group mt-2">
                                    <label for="phone">{{ __('Phone') }}</label>
                                    <input type="number" class="form-control @error('phone') is-invalid @enderror" id="phone" name="phone" value="{{ old('phone', @$page->phone) }}" required>
                                    
                                </div>

                                <div class="form-group mt-2">
                                    <label for="email">{{ __('email') }}</label>
                                    <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" name="email" value="{{ old('email', @$page->email) }}" required>
                                    
                                </div>

                                <div class="form-group mt-2">
                                    <label for="address">{{ __('Address') }}</label>
                                    <textarea type="text" class="address form-control @error('address') is-invalid @enderror" id="address" name="address">{{ old('address', @$page->address) }}</textarea>
                                     
                                </div>

                                <div class="form-group mt-2">
                                    <label for="facebook">{{ __('Facebook') }}</label>
                                    <input type="text" class="form-control @error('facebook') is-invalid @enderror" id="facebook" name="facebook" value="{{ old('facebook', @$page->facebook) }}" required>
                                    
                                </div>

                                <div class="form-group mt-2">
                                    <label for="twitter">{{ __('Twitter') }}</label>
                                    <input type="text" class="form-control @error('twitter') is-invalid @enderror" id="twitter" name="twitter" value="{{ old('twitter', @$page->twitter) }}" required>
                                    
                                </div>

                                <div class="form-group mt-2">
                                    <label for="linkedin">{{ __('Linkedin') }}</label>
                                    <input type="text" class="form-control @error('linkedin') is-invalid @enderror" id="linkedin" name="linkedin" value="{{ old('linkedin', @$page->linkedin) }}" required>
                                    
                                </div>

                                <div class="form-group mt-2">
                                    <label for="instagram">{{ __('Instagram') }}</label>
                                    <input type="text" class="form-control @error('instagram') is-invalid @enderror" id="instagram" name="instagram" value="{{ old('instagram', @$page->instagram) }}" required>
                                    
                                </div>

                                <br/>
                                
                                <br/>

 
                           
                            <button type="submit" class="btn btn-primary w-100 mt-2">Update </button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="  col-md-1"></div>
        </div>
         
    </div>
</main>
@endsection


@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
</script>

@endsection

