@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">Add content</h3>
            </div>
        </div>
         
        
        <div class="row">
            <div class="col-3 col-md-1"></div>
            <div class="col-6 col-md-10">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">
                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        @if(session('errors'))
                            <div class="alert alert-warning p-3" role="alert">
                                {{ session('errors') }}
                            </div>
                        @endif

                        <form method="post" action="{{ route('user.contents.store') }}"  >
                            @csrf

                                <div class="form-group mt-2">
                                    <label for="title">{{ __('Title') }}</label>
                                    <input type="text" class="form-control @error('title') is-invalid @enderror" id="title" name="title" value="{{ old('title') }}" required>
                                    @error('title')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                <br/>
                                <br/>

                            <button type="submit" class="btn btn-primary w-100 mt-2">Add </button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-3 col-md-1"></div>
        </div>
         
    </div>
</main>
@endsection

 
@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
ClassicEditor
.create( document.querySelector( '.descriptions' ) )
.then( editor => {
    editor.editing.view.change( writer => {
        writer.setStyle( 'height', '200px', editor.editing.view.document.getRoot() );
    } );
} )
.catch( error => {
        console.error( error );
} );
</script>

 

@endsection

