@extends('layouts.user.userdashboard')

@section('content')
<main class="content">
    <div class="pe-1">

        <div class="row mb-2 mb-xl-3">
            <div class="col-auto d-none d-sm-block">
                <h3 class="txt_default">
                    <a href="{{ route('user.article.index') }}" class="text-dark"><i class="align-middle" data-feather="arrow-left-circle"></i> </a>
                    Manage article reference <a href="#" data-toggle="modal" data-target="#addModal" class="btn btn-info">Add</a></h3>

                     
            </div>
        </div>
         
        
        <div class="row">
            
            <div class="col-12 col-md-12 col-xxl-6 d-flex order-3 order-xxl-2">
                <div class="card flex-fill w-100">
                    <div class="card-body px-4">

                        @if(session('success'))
                            <div class="alert alert-success p-3" role="alert">
                                {{ session('success') }}
                            </div>
                        @endif

                        <table class="table table-hover my-0">
                            <thead>
                                <tr>
                                    <th>Title</th>
                                    <th>Type</th>
                                    <th>Preview</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($pages as $page)
                                    <tr>
                                       
                                        <td>{{ $page->title }}</td>
                                        <td>{{ $page->type }}</td>
                                            <td>
                                                <?php if($page->type == "PDF") { ?>
                                                    <a target="_blank" href="{{ asset( $page->file) }}" class="text-dark"><i class="align-middle" data-feather="eye"></i> </a>
                                                <?php }; ?>
                                                <?php if($page->type == "IMAGE") { ?>
                                                    <a target="_blank" href="{{ asset( $page->file) }}" class="text-dark"><i class="align-middle" data-feather="eye"></i> </a>
                                                <?php }; ?>
                                                
                                            </td>
                                        <td>

 
                                            <a href="#" class="btn btn-primary" data-toggle="modal" data-target="#addModal<?php echo $page->id; ?>">Edit</a>
                                            
                                            <form id="deleteForm{{ $page->id }}" action="{{ route('user.reference.destroy', $page->id) }}" method="post" style="display: inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="button" class="btn btn-danger" onclick="confirmDelete('{{ $page->id }}')">Delete</button>
                                        </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="3">No page found</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>

                        <div class="pagination-container text-center">
                            {{ $pages->links() }}
                        </div>
                        

                    </div>
                </div>
            </div>
            
        </div>

        <div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="addModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addModalLabel">Edit article reference</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                
                <form method="post" action="{{ route('user.reference.store') }}" enctype="multipart/form-data"  >
                                @csrf

                                    <input type="hidden" name="article_id" value="<?php echo @$_GET['id']; ?>" required>
                                    <div class="form-group mt-2">
                                        <label for="title">{{ __('Title') }}</label>
                                        <input type="text" class="form-control @error('title') is-invalid @enderror" id="title" name="title" value="{{ old('title') }}" required>
                                        @error('title')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2">
                                        <label for="type">{{ __('Type') }}</label>
                                        <select  class="form-control @error('type') is-invalid @enderror" id="type" name="type" required onchange="myFunction(this.value)">
                                            <option value=""> Select </option>
                                            <option value="PDF"> PDF </option>
                                            <option value="VIDEO"> VIDEO </option>
                                            <option value="IMAGE"> IMAGE </option>
                                            <option value="LINK"> LINK </option>
                                            <option value="DESCRIPTION"> DESCRIPTION </option>
                                        </select>
                                        @error('type')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2 d-none" id="fileDiv">
                                        <label for="file">{{ __('IMAGE/PDF') }}</label>
                                        <input type="file" class="form-control @error('file') is-invalid @enderror" id="file" name="file" value="{{ old('file') }}"  >
                                        @error('file')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    
                                    <div class="form-group mt-2 d-none" id="linkDiv">
                                        <label for="link">{{ __('Link') }}</label>
                                        <input type="text" class="form-control @error('link') is-invalid @enderror" id="link" name="link" value="{{ old('link') }}"  >
                                        @error('link')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2 d-none" id="descriptionsDiv">
                                        <label for="descriptions">{{ __('Description') }}</label>
                                        <textarea type="text" class="summernote form-control @error('descriptions') is-invalid @enderror" id="descriptions" name="descriptions" value="{{ old('descriptions') }}"></textarea>
                                        @error('descriptions')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <br/>
                                    <br/>

                                <button type="submit" class="btn btn-primary w-100 mt-2">Add </button>
                            </form>
                

                </div>
                
                </div>
            </div>
        </div>

        @forelse($pages as $page)
        <div class="modal fade" id="addModal<?php echo $page->id; ?>" tabindex="-1" role="dialog" aria-labelledby="addModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addModalLabel">Edit article reference</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                
                <form method="post" action="{{ route('user.reference.update', $page->id) }}" enctype="multipart/form-data"  >
                                @csrf

                                    <input type="hidden" name="article_id" value="<?php echo @$_GET['id']; ?>" required>
                                    <div class="form-group mt-2">
                                        <label for="title">{{ __('Title') }}</label>
                                        <input type="text" class="form-control @error('title') is-invalid @enderror" id="title" name="title" value="<?php echo $page->title; ?>" required>
                                        @error('title')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2">
                                        <label for="type">{{ __('Type') }}</label>
                                        <select  class="form-control @error('type') is-invalid @enderror" id="type" name="type" required onchange="myFunction2(this.value, <?php echo $page->id; ?>)">
                                            <option value=""> Select </option>
                                            <option value="PDF" <?php if($page->type == "PDF"){ echo "selected"; } ?> > PDF </option>
                                            <option value="VIDEO" <?php if($page->type == "VIDEO"){ echo "selected"; } ?>> VIDEO </option>
                                            <option value="IMAGE" <?php if($page->type == "IMAGE"){ echo "selected"; } ?>> IMAGE </option>
                                            <option value="LINK" <?php if($page->type == "LINK"){ echo "selected"; } ?>> LINK </option>
                                            <option value="DESCRIPTION" <?php if($page->type == "DESCRIPTION"){ echo "selected"; } ?>> DESCRIPTION </option>
                                        </select>
                                        @error('type')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2 <?php if($page->type == "VIDEO" || $page->type == "LINK" || $page->type == "DESCRIPTION" ){ echo "d-none"; } ?>" id="fileDiv<?php echo $page->id; ?>">
                                        <label for="file">{{ __('IMAGE/PDF') }}</label>
                                        <input type="file" class="form-control @error('file') is-invalid @enderror" id="file" name="file" value="{{ old('file') }}"  >
                                        @error('file')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2 <?php if($page->type == "PDF" || $page->type == "IMAGE" || $page->type == "DESCRIPTION"){ echo "d-none"; } ?>" id="linkDiv<?php echo $page->id; ?>">
                                        <label for="link">{{ __('Link') }}</label>
                                        <input type="text" class="form-control @error('link') is-invalid @enderror" id="link" name="link" value="<?php echo $page->content; ?>"  >
                                        @error('link')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <div class="form-group mt-2 <?php if($page->type == "PDF" || $page->type == "VIDEO" || $page->type == "IMAGE" || $page->type == "LINK"){ echo "d-none"; } ?>" id="descriptionsDiv<?php echo $page->id; ?>">
                                        <label for="descriptions">{{ __('Description') }}</label>
                                        <textarea type="text" class="summernote form-control @error('descriptions') is-invalid @enderror" id="descriptions" name="descriptions"><?php echo $page->content; ?></textarea>
                                        @error('descriptions')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>

                                    <br/>
                                    <br/>

                                <button type="submit" class="btn btn-primary w-100 mt-2">Update </button>
                            </form>
                

                </div>
                
                </div>
            </div>
        </div>
        @empty
            
        @endforelse
         
    </div>
</main>
@endsection


@section('script')
{{-- <script src="{{ asset('js/shared/statistic.js') }}"></script> --}}

<script>
function confirmDelete(languageId) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You won\'t be able to revert this!',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                submitForm('deleteForm' + languageId);
            }
        });
    }

    function submitForm(formId) {
        var form = document.getElementById(formId);
        form.submit();
    }

    $(document).ready(function() {
        $('.summernote').summernote({
            height: 300
        });
    });
    
    function myFunction(val){
        if(val == "VIDEO"  ){
            $("#linkDiv").removeClass("d-none");
            $("#fileDiv").addClass("d-none");
            $("#descriptionsDiv").addClass("d-none");
        }

        if( val == "IMAGE" ){
            $("#fileDiv").removeClass("d-none");
            $("#linkDiv").addClass("d-none");
            $("#descriptionsDiv").addClass("d-none");
            $('#file').attr('accept', 'image/*');
        }

        if(  val == "PDF"){
            $("#fileDiv").removeClass("d-none");
            $("#linkDiv").addClass("d-none");
            $("#descriptionsDiv").addClass("d-none");
            $('#file').attr('accept', '.pdf');
        }

        if(val == "LINK"){
            $("#linkDiv").removeClass("d-none");

            $("#fileDiv").addClass("d-none");
            $("#descriptionsDiv").addClass("d-none");
        }
        if(val == "DESCRIPTION"){
            $("#descriptionsDiv").removeClass("d-none");

            $("#fileDiv").addClass("d-none");
            $("#linkDiv").addClass("d-none");
        }
    }

    function myFunction2(val,id){
        if(val == "VIDEO"  ){
            $("#linkDiv"+id).removeClass("d-none");
            $("#fileDiv"+id).addClass("d-none");
            $("#descriptionsDiv"+id).addClass("d-none");
        }

        if( val == "IMAGE" ){
            $("#fileDiv"+id).removeClass("d-none");
            $("#linkDiv"+id).addClass("d-none");
            $("#descriptionsDiv"+id).addClass("d-none");
            $('#file').attr('accept', 'image/*');
        }

        if(  val == "PDF"){
            $("#fileDiv"+id).removeClass("d-none");
            $("#linkDiv"+id).addClass("d-none");
            $("#descriptionsDiv"+id).addClass("d-none");
            $('#file').attr('accept', '.pdf');
        }

        if(val == "LINK"){
            $("#linkDiv"+id).removeClass("d-none");
            $("#fileDiv"+id).addClass("d-none");
            $("#descriptionsDiv"+id).addClass("d-none");
        }
        if(val == "DESCRIPTION"){
            $("#descriptionsDiv").removeClass("d-none");
            $("#fileDiv"+id).addClass("d-none");
            $("#linkDiv"+id).addClass("d-none");
        }
    }
</script>

@endsection

