<?php
    use Illuminate\Support\Str;
?>
<!DOCTYPE html>
<html lang="en" >
<head>
  <meta charset="UTF-8">

  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?php echo e($spage->title); ?></title>
  <meta name="description" content="<?php echo e($cms->seo_desc); ?>">
  <link rel="stylesheet" type="text/css" href="<?php echo e(asset('home/css/bootstrap.min.css')); ?>">

  <link rel="stylesheet" type="text/css" href="<?php echo e(asset('home/css/font-awesome.min.css')); ?>">
  
  <script src="https://cdnjs.cloudflare.com/ajax/libs/prefixfree/1.0.7/prefixfree.min.js"></script>
  <link rel="stylesheet" href="<?php echo e(asset('home/css/style.css')); ?>" type="text/css">

  <style>
    .c-latest-post {
        max-height: 98vh !important;
    }
    .text-justify {
      text-align: justify !important;
    }
  </style>

</head>
<body>
  
<header class="header-w">
      <div class="container">
          <div class="header-top">
              <div class="row align-centre">
                <div class="col-md-3">
                  <div class="header-logo">
                    <a href="<?php echo e(route('home.index')); ?>"><img src="<?php echo e(asset('home/img/logo.png')); ?>" align="logo"></a>
                  </div>
                </div>
                <div class="col-md-9">
                    <div class="header-social-media-icon">
                      <ul>
                        <li><a href="mailto:<?php echo e($cms->email); ?>"><i class="fa fa-envelope" aria-hidden="true"></i></a></li>
                        <li><a href="tel:<?php echo e($cms->phone); ?>"><i class="fa fa-phone" aria-hidden="true"></i></a></li>
                        <li><a href="<?php echo e($cms->facebook); ?>" target="_blank"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
                        <li><a href="<?php echo e($cms->twitter); ?>" target="_blank"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
                        <li><a href="<?php echo e($cms->linkedin); ?>" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
                        <li><a href="<?php echo e($cms->instagram); ?>" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
                      </ul>
                    </div>
                </div>
                

              </div>
             
          </div>
    
          
      </div>
  </header>  
<!-- partial:index.partial.html -->
<div class="container c-page-w mt-5">
      <h1><?php echo e($spage->title); ?></h1>
     <?php echo nl2br($spage->descriptions); ?>
</div>

<header class="c-header-w mb-4 text-center mt-5">
  
  <p class="text-center"><small>
      
      
    <?php foreach($pages as $key => $pageRow) { ?>
    <a href="<?php echo e(route('home.page', [Str::slug($pageRow->title).'-'.$pageRow->id])); ?>" class="text-dark"><?php echo e($pageRow->title); ?></a>
    <?php if ($key < count($pages) - 1) { ?>
        |
    <?php } ?>
    <?php } ?>
      
      </small></p>
	<div class="container">2024 © All rights reserved.</div>
</header>
<!-- partial -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script src='https://s3-us-west-2.amazonaws.com/s.cdpn.io/9729/turn.min.js'></script>
<script  src="<?php echo e(asset('home/js/script.js')); ?>"></script>

</body>


</html>
<?php /**PATH /home/girmfpqs/karthaat.com/flipbook/resources/views/aboutus.blade.php ENDPATH**/ ?>